---
title: "Query a single script tag"
description: "Query a single script tag"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/online-store/script-tag/query-a-single-script-tag'
  md: 'https://developer.shopline.com/docs/admin-rest-api/online-store/script-tag/query-a-single-script-tag.md'
---
# Query a single script tag

Query a single script tag

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_script_tags`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /store/:script_tag_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_script_tags`

## Request

### Path Parameters

* `script_tag_id`

  string (required)

  Script id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `script_tag`

  object

  object

  * `updated_at`

    string

    Date and time the script tag last updated (ISO 8601)

  * `cache`

    boolean

    Cache ID

  * `created_at`

    string

    Date and time the script tag created (ISO 8601)

  * `display_scope`

    string

    Show range , online stores should include script pages . rms : online_store ( including home page , list page , detail page , shopping cart page , search page , 404 pages , custom page , blog collection , blog ) ;Checkout ( settlement page , including settlement three steps and status page ) ; all : ( script is included on the online storefront and order status page , including the upper two ranges )

  * `event`

    string

    DOM event that triggers script loading. Valid values: onload

  * `id`

    string

    Identify script tag's ID

  * `src`

    string

    URL of the remote script


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Query a single script tag",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_script_tags` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "il8i74AL",
  "parameters": [
    {
      "name": "script_tag_id",
      "in": "path",
      "description": "Script id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "script_tag_id",
        "description": "Script id",
        "type": "string",
        "example": "61a75c4e9f8c201e6e9473e0"
      },
      "example": "61a75c4e9f8c201e6e9473e0",
      "examples": {
        "Query specify script tag": {
          "value": "64fecde8baa12e20b784ab2a"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "script_tag": {
                "name": "script_tag",
                "description": "object",
                "type": "object",
                "properties": {
                  "updated_at": {
                    "name": "updated_at",
                    "description": "Date and time the script tag last updated (ISO 8601)",
                    "type": "string",
                    "example": "2022-08-03T10:45:00+08:00\t\n"
                  },
                  "cache": {
                    "name": "cache",
                    "description": "Cache ID",
                    "type": "boolean",
                    "example": false
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "Date and time the script tag created (ISO 8601)",
                    "type": "string",
                    "example": "2022-08-03T10:45:00+08:00\t\n"
                  },
                  "display_scope": {
                    "name": "display_scope",
                    "description": "Show range , online stores should include script pages . rms : online_store ( including home page , list page , detail page , shopping cart page , search page , 404 pages , custom page , blog collection , blog ) ;Checkout ( settlement page , including settlement three steps and status page ) ; all : ( script is included on the online storefront and order status page , including the upper two ranges )",
                    "type": "string",
                    "example": "all"
                  },
                  "event": {
                    "name": "event",
                    "description": "DOM event that triggers script loading. Valid values: onload",
                    "type": "string",
                    "example": "onload"
                  },
                  "id": {
                    "name": "id",
                    "description": "Identify script tag's ID",
                    "type": "string",
                    "example": "61a75c4e9f8c201e6e9473e0"
                  },
                  "src": {
                    "name": "src",
                    "description": "URL of the remote script",
                    "type": "string",
                    "example": "https://djavaskripped.org/fancy.js"
                  }
                },
                "example": {
                  "display_scope": "all",
                  "event": "onload",
                  "id": "61a75c4e9f8c201e6e9473e0",
                  "src": "https://djavaskripped.org/fancy.js",
                  "updated_at": "2022-08-03T10:45:00+08:00\t\n",
                  "cache": false,
                  "created_at": "2022-08-03T10:45:00+08:00\t\n"
                }
              }
            },
            "example": {
              "script_tag": {
                "cache": false,
                "created_at": "2022-08-03T10:45:00+08:00\t\n",
                "display_scope": "all",
                "event": "onload",
                "id": "61a75c4e9f8c201e6e9473e0",
                "src": "https://djavaskripped.org/fancy.js",
                "updated_at": "2022-08-03T10:45:00+08:00\t\n"
              }
            }
          },
          "examples": {
            "Query specify script tag": {
              "value": {
                "script_tag": {
                  "event": "onload",
                  "id": "64fecde8baa12e20b784ab2a",
                  "src": "https://js.example.com/example.js",
                  "updated_at": "2023-09-11T16:42:38+08:00",
                  "cache": false,
                  "created_at": "2023-09-11T16:20:56+08:00",
                  "display_scope": "all"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/store/:script_tag_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query a single script tag",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_script_tags"
  ]
}
```